# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/nfc/st,st21nfca.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: STMicroelectronics SAS ST21NFCA NFC controller

maintainers:
  - Krzysztof Kozlowski <krzysztof.kozlowski@canonical.com>

properties:
  compatible:
    const: st,st21nfca-i2c

  enable-gpios:
    description: Output GPIO pin used for enabling/disabling the controller

  ese-present:
    type: boolean
    description: |
      Specifies that an ese is physically connected to the controller

  interrupts:
    maxItems: 1

  reg:
    maxItems: 1

  uicc-present:
    type: boolean
    description: |
      Specifies that the uicc swp signal can be physically connected to the
      controller

required:
  - compatible
  - enable-gpios
  - interrupts
  - reg

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        nfc@1 {
            compatible = "st,st21nfca-i2c";
            reg = <0x1>;

            interrupt-parent = <&gpio5>;
            interrupts = <2 IRQ_TYPE_LEVEL_LOW>;
            enable-gpios = <&gpio5 29 GPIO_ACTIVE_HIGH>;

            ese-present;
            uicc-present;
        };
    };
